########################################################################
## NOTE:  This specfile is automagically generated from
##        ${RPM_SOURCE_DIR}/WSoundPrefs.spec.in.  It is recommended
##        to make modifications to that file, not this one.
########################################################################
# (for rpm-2.3.9 and later)
# Predefined Macros:
# PACKAGE_VERSION
# PACKAGE_RELEASE
# 
# User-Defined Macros:
# %%define <name> <expansion>
%define Name		WSoundPrefs
%define Version		1.1.1
%define ReleaseNum	1

%define Variant		.rhl6


# Packager i386
%define Packager        Thomas Ribbrock <emgaron@gmx.net>




Summary: Window Maker Sound Preferences

Requires: WindowMaker >= 0.62.0, WSoundServer >= 0.4.0
Provides: WSoundPrefs
Name: %{Name}
Version: %{Version}
Release: %{ReleaseNum}%{Variant}
Packager: %{Packager}
Copyright: GPL
Icon: WSoundPrefs.gif
Group: X11/Window Managers/Tools
Source0: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%{Name}-%{Version}.tar.gz
Source1: %{Name}-%{Version}.spec.in
Source2: WSoundPrefs.wmconfig
Source3: %{Name}-%{Version}-%{ReleaseNum}.RPMS.README
Source4: detect-system.sh
Patch0: %{Name}-1.1.1-Imake.patch
URL: http://shadowmere.student.utwente.nl/
BuildRoot: /tmp/%{Name}-%{Version}-%{ReleaseNum}%{Variant}-root

%description
WSoundPrefs is a WINGs-based application to configure the Window Maker
Sound Server (WMSound). It is actually a replacement of the Author's older
program called WMSound Setup (aka wmss). Basically it provides the following
options: 
- Which sound to play on which sound-event 
- Which sound-device to use 
- What are the search-paths for Sounds and SoundSets 
- Loading and Saving of Soundsets 

NOTE: This version no longer works with the old Window Maker sound server "wmsound"!

%prep
%setup
%patch0 -p1 -b .orig-Imake

%build
xmkmf -a

make


%install
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

make install DESTDIR=$RPM_BUILD_ROOT/usr/GNUstep
strip $RPM_BUILD_ROOT/usr/GNUstep/Apps/WSoundPrefs.app/%{Name}

# on Red Hat 5 or 6 system, install wmconfig entry
install -d ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/etc/X11/wmconfig/WSoundPrefs


%clean
function CheckBuildRoot() {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot() {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

%files
%attr( -  ,root,root) %doc AUTHORS ChangeLog COPYING INSTALL
%attr( -  ,root,root) %doc $RPM_SOURCE_DIR/%{Name}-%{Version}-%{ReleaseNum}.RPMS.README

%attr(0755,root,root) %dir /usr/GNUstep/Apps/WSoundPrefs.app/
%attr(0755,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/WSoundPrefs
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/WSoundPrefs.xpm
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/WSoundPrefs.tiff

%attr(0755,root,root) %dir /usr/GNUstep/Apps/WSoundPrefs.app/xpm/
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/xpm/loadset.xpm
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/xpm/saveset.xpm

%attr(0755,root,root) %dir /usr/GNUstep/Apps/WSoundPrefs.app/tiff/
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/tiff/loadset.tiff
%attr(0644,root,root) /usr/GNUstep/Apps/WSoundPrefs.app/tiff/saveset.tiff

%attr(0644,root,root) /etc/X11/wmconfig/WSoundPrefs

%changelog
* Sun Nov 19 2000 Thomas Ribbrock <emgaron@gmx.net>
  [1.1.1-1]
  - new version
  - spec.in now using detect-system.sh
  - added RPMS.README file

* Wed Jul 08 1999 Thomas Ribbrock <emgaron@gmx.net>
  [1.0.2-0.1]
  - new version

* Tue May 04 1999 Thomas Ribbrock <emgaron@gmx.net>
  [0.9.3-2]
  - switched to m4 spec.in file
  - now based on the new wmsound and Window Maker RPMs
  - added entry for wmconfig (RHL 5 and 6)

* Sun Mar 21 1999 Thomas Ribbrock <emgaron@gmx.net>
  [0.9.3-TRi-1]
  - rebuild for WindowMaker-0.51.2-nls-2 rpm from contrib
  - changed file layout to match
  - fixed owner
  - defined BuildRoot

* Thu Mar 18 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
  [0.9.3-2]
  - added directories for a cleaner uninstall

* Thu Mar 18 1999 Nicolas Mailhot <Nicolas.Mailhot@email.enst.fr>
  [0.9.3-1]
  - Initial release for WSoundPrefs-0.9.3-1

